image: node:14.17.0

variables:
  PUBLIC_URL: /toolkit/cost-of-care/lh-toolkit-cost-of-care-explorer

# Cache node modules - speeds up future builds
cache:
  paths:
  - node_modules

stages:
- deploy

pages:
  stage: deploy
  script:
    - npm install # Install all dependencies
    - npm run build # Build for production
    - cp public/index.html public/404.html # Not necessary, but helps with https://medium.com/@pshrmn/demystifying-single-page-applications-3068d0555d46
    - mv public _public # CRA and gitlab pages both use the public folder. Only do this in a build pipeline.
    - mv build public # Move build files to public dir for Gitlab Pages
  artifacts:
    paths:
    - public # The built files for Gitlab Pages to serve
  

